import { Component, ViewEncapsulation } from '@angular/core';
import { SkylinkTS } from './skylinkTS';
import { OnInit } from '@angular/core';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css'],
    encapsulation: ViewEncapsulation.None,
})
export class AppComponent implements OnInit {
    private skyLinkTS: SkylinkTS;

    constructor() {
        this.skyLinkTS = new SkylinkTS({
            'appKey': '6198a7fa-b8b0-4b0a-8079-4642198c8601',
            // 'appKeySecret': 'Enter your secret here',
            'defaultRoom': 'defaultRoom',
            'audio': true,
            'video': true,
            'enableDataChannel': true,
            'enableIceTrickle': true,
            'audioFallback': true,
            'forceSSL': true,
            'localVideoContainerElId': 'localVideoContainer',
            'remoteContainerElId': 'remoteContainer',
            'downloadLinkContainerElId': 'downloadLinkContainer',
            'chatUserListElId': 'chatUserListContainer',
            'chatMessagesContainerId': 'chatMessagesContainer',
            'messageInputElId': 'messageInput',
            'sendChatMessageBtnElId': 'sendChatMessageBtn'
        });
    }

    public ngOnInit() {
        this.joinRoom();
    }

    public joinRoom() {
        this.skyLinkTS.joinRoom();
    }

    public shareScreen() {
        this.skyLinkTS.shareScreen();
    }

    public stopScreen() {
        this.skyLinkTS.stopScreen();
    }

    public startRecording() {
        this.skyLinkTS.startRecording();
    }

    public stopRecording() {
        this.skyLinkTS.stopRecording();
    }

}
